#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFishingCeleGiftRechargeData
{
	//ID
	int mID;
	//对应礼包ID
	int mGiftID;
	//需要道具ID
	int mneedItem;
	//需要道具数量
	int mneedCount;
};

class M_ActivityFishingCeleGiftRecharge
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleGiftRecharge> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleGiftRechargeData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFishingCeleGiftRechargeData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFishingCeleGiftRecharge* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFishingCeleGiftRechargeData> mMapData;
};
